<?php
/**********************************************\
| SMFSHOP (Shop MOD for Simple Machines Forum) |
|         (c) 2005 DanSoft Australia           |
|      http://www.dansoftaustralia.net/        |
\**********************************************/

//File: Shop.template.php
//      Template file for Shop

//VERSION: 2.0 (Build 8)
//DATE: 28th December 2005

function shop_header() {
	global $txt, $context, $modSettings, $scripturl, $settings;
    echo "<table width='100%' cellpadding='3' cellspacing='0'><tr><td valign='bottom'>". theme_linktree()."</td></tr></table>";
	
	echo <<<EOT
		<table width="100%" cellpadding="0" cellspacing="0" border="0" style="padding-top: 1ex;"><tr>
			<td width="180" valign="top" style="width: 26ex; padding-right: 10px; padding-bottom: 10px;">
				<table width="100%" cellpadding="4" cellspacing="1" border="0" class="bordercolor">
					<tr>
						<td class="catbg">{$txt['shop']} Stuff</td>
					</tr>
					<tr class="windowbg2">
						<td class="smalltext" style="line-height: 1.3; padding-bottom: 3ex;">
                            <a href="$scripturl?action=shop">{$txt['shop']} Home</a><br />
							<a href="$scripturl?action=shop;do=buy">{$txt['shop_buy']}</a><br />
							<a href="$scripturl?action=shop;do=inv">{$txt['shop_yourinv']}</a><br />
							<a href="$scripturl?action=shop;do=sendmoney">{$txt['shop_send_money']}</a><br />
							<a href="$scripturl?action=shop;do=invother">{$txt['shop_invother']}</a><br />
							{$context['shop_trade_link']}
							{$context['shop_bank_link']}
                            <!--More Coming Soon!<br />-->
						</td>
					</tr>
				</table>
			</td>
			<td valign="top">
EOT;
}

function shop_footer() {
	global $txt, $context, $modSettings, $scripturl, $settings;

	echo <<<EOT
		</td></tr></table>
	</table>
	
	<p align="right">Powered by SMFShop {$modSettings['shopVersion']} (Build {$modSettings['shopBuild']}), &copy; 2005, 2006 <a href="http://www.dansoftaustralia.net/">DanSoft Australia</a></p>
EOT;
}

function template_main(){
    global $txt, $context, $modSettings, $scripturl, $settings;
	
	shop_header();
	echo <<<EOT
			<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
				<tr class="titlebg">
					<td align="center" colspan="2" class="largetext">{$txt['shop']}</td>
				</tr><tr>
					<td class="windowbg" valign="top" style="padding: 7px;">
						<b>{$txt['shop_welcome']}</b>
						<div style="font-size: 0.85em; padding-top: 1ex;">{$txt['shop_welcome_full']}
						<br /><br />
						<b>{$txt['shop_per_new_topic']}: </b> {$context['shop_newtopic']}<br />
						<b>{$txt['shop_per_new_post']}: </b>{$context['shop_newpost']}<br />
						{$context['shop_bank_info']}
						<br />
						<b>{$txt['shop_money_in_pocket']}: </b>{$context['shop_money']}<br />
						{$context['shop_money_in_bank']}
						</div>
					</td>
				</tr>
			</table>
			<table width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-top: 1.5ex;"><tr>
				<td valign="top">
					<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
						<tr><td class="catbg">{$txt['shop_richest_pocket']}</td></tr>
						<tr>
							<td class="windowbg2" valign="top" style="height: 18ex;">
								{$context['shop_richest']}<br />
								<a href='{$scripturl}?action=shop;do=viewall'>{$txt['shop_view_all']}</a>
							</td>
						</tr>
					</table>
				</td>
EOT;

	if ($modSettings['shopBankEnabled']) {
		echo <<<EOT
				<td style="width: 1ex;">&nbsp;</td>
				<td valign="top" style="width: 50%;">
			<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor" id="supportVersionsTable">
				<tr>
					<td class="catbg">{$txt['shop_richest_bank']}</td>
				</tr><tr>
					<td class="windowbg2" valign="top" style="height: 18ex;">
						{$context['shop_richestBank']}<br />
						 <a href='{$scripturl}?action=shop;do=viewallBank'>{$txt['shop_view_all']}</a>
					</td>
EOT;
	}

	echo "</tr></table>";
	shop_footer();
}



function template_inventory() {
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	shop_header();
	echo <<<EOT
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
			{$context['shop_items_list']}
		</table>
EOT;
	shop_footer();
}


function template_message() {
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	shop_header();
	echo <<<EOT
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
			<tr valign='top' class='windowbg2'>
				<td style='padding-bottom: 2ex;' width='20%'>
					{$context['shop_buy_message']}
				</td>
			</tr>
		</table>

EOT;
	shop_footer();
}



function template_sendMoney() {
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	shop_header();
	echo <<<EOT
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
			<tr valign='top' class='windowbg2'>
				<td style='padding-bottom: 2ex;' width='20%'>
					<center><b>{$txt['shop_send_money']}</b></center><br />{$txt['shop_send_money_message']}
					<form action="$scripturl?action=shop;do=sendmoney2" method="POST">
						{$txt['shop_member_name']}: <input type="text" name="membername" size="25">
						<a href="{$scripturl}?action=findmember;input=membername;quote=1;sesc={$context['session_id']}" onclick="return reqWin(this.href, 350, 400);"><img src="{$settings['images_url']}/icons/assist.gif" border="0" alt="{$txt['find_members']}" /> Find Members</a><br />
			
						{$txt['shop_amount_to_send']}:
							{$modSettings['shopCurrencyPrefix']}
							<input type="text" name="amount" size="8">
							{$modSettings['shopCurrencySuffix']}<br />
						{$txt['shop_send_message_to_give']}: <textarea name="message" cols="50" rows="5"></textarea><br />
						<input type="submit" value="{$txt['shop_send_money']}">
					</form>
				</td>
			</tr>
		</table>
EOT;
	shop_footer();
}

function template_bank() {
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	shop_header();
	echo <<<EOT
		<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
			<tr class="titlebg">
				<td align="center" colspan="2" class="largetext">{$txt['shop']} {$txt['shop_bank']}</td>
			</tr><tr>
				<td class="windowbg" valign="top" style="padding: 7px;">
					<b>{$txt['shop_bank_welcome']}</b>
					<div style="font-size: 0.85em; padding-top: 1ex;">{$txt['shop_bank_welcome_full']}</div>
				</td>
			</tr>
		</table>
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
			<tr valign='top' class='windowbg2'>
				<td style='padding-bottom: 2ex;' width='20%'>
					{$context['shop_bank_message']}<br /><br />
					<form action="$scripturl?action=shop;do=bank2" method="POST">
						  <input type='radio' name='type' value='deposit'>{$txt['shop_bank_deposit']}
						  <input type='radio' name='type' value='withdraw'>{$txt['shop_bank_withdraw']}<br />
						  {$txt['shop_amount']}: {$modSettings['shopCurrencyPrefix']} <input type='text' name='amount' size='5'> {$modSettings['shopCurrencyPrefix']}<br />
						  <input type='submit' value='Go!'>
					</form>
				</td>
			</tr>
		</table>
EOT;
	shop_footer();
}

function template_otherInventory() {
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	shop_header();
	echo <<<EOT
    
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
			<tr valign='top' class='windowbg2'>
				<td style='padding-bottom: 2ex;' width='20%'>
					<center><b>{$txt['shop_invother']}</b></center><br />{$txt['shop_invother_message']}<br />
					<form action="$scripturl?action=shop;do=invother2" method="POST">
						{$txt['shop_member_name']}:
				  
						<input type="text" name="member" size="25">
						<a href="{$scripturl}?action=findmember;input=member;quote=0;sesc={$context['session_id']}" onclick="return reqWin(this.href, 350, 400);"><img src="{$settings['images_url']}/icons/assist.gif" border="0" alt="{$txt['find_members']}" /> Find Members</a><br />
						<input type="submit" value="{$txt['shop_invother']}">
					</form>
				</td>
			</tr>
		</table>

EOT;
	shop_footer();
}


function template_userTrade() {
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	shop_header();
	echo <<<EOT
		<table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
			<tr class="titlebg">
				<td align="center" colspan="2" class="largetext">{$txt['shop']} {$txt['shop_trade']}</td>
			</tr><tr>
				<td class="windowbg" valign="top" style="padding: 7px;">
					<b>{$txt['shop_trade_welcome']}</b>
					<div style="font-size: 0.85em; padding-top: 1ex;">{$txt['shop_trade_welcome_full']}</div>
				</td>
			</tr>
		</table>
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
			<tr valign='top' class='windowbg2'>
				<td style='padding-bottom: 2ex;' width='20%'>
					{$txt['shop_trade_list']}<br /><br />
					<table width="100%" cellpadding="5" cellspacing="0" border="0">
						<tr valign='top' class='windowbg'>
							<td style='padding-bottom: 2ex;' width='32'>
								<b>{$txt['shop_image']}</b>
							</td>
							<td>
								<b>{$txt['shop_name']}</b>
							</td>
							<td>
								<b>{$txt['shop_description']}</b>
							</td>
							<td width='18%'>
								<b>{$txt['shop_price']}</b>
							</td>
						</tr>
						{$context['shop_trade_list']}
					</table>
		
					<br />{$txt['shop_wanna_trade']}
				</td>
			</tr>
		</table>
EOT;
	shop_footer();
}

function template_tradeItem() {
	global $txt, $context, $modSettings, $scripturl, $settings;
	
	shop_header();
	echo <<<EOT
		<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
			<tr valign='top' class='windowbg2'>
				<td style='padding-bottom: 2ex;' width='20%'>
				  <center><b>{$txt['shop_tradeitem']}</b></center>
				  <form action='$scripturl?action=shop;do=trade_sell2' method="POST">
					<input type='hidden' name='id' value='{$_GET['id']}'>
					{$txt['shop_price']}: <input type='text' name='sellfor' value='{$context['shop_paid']}'>
					<input type='submit' value='{$txt['shop_next']}'><br /><br />
					{$txt['shop_trade_message']}
				</td>
			</tr>
		</table>
EOT;
	shop_footer();
}


?>
