<?php
/**********************************************\
| SMFSHOP (Shop MOD for Simple Machines Forum) |
|         (c) 2005 DanSoft Australia           |
|      http://www.dansoftaustralia.net/        |
\**********************************************/

//File: ShopAdmin.template.php
//      Template file for Shop Administration

//VERSION: 2.0 (Build 8)
//DATE: 26th December 2005

//Feel free to edit this template however you want, but be careful not to break anything.
//Make sure you have a backup handy.

function template_main(){ //The main administration template.
    global $modSettings, $scripturl, $context, $txt;

    echo <<<EOT
        <table width="100%" cellpadding="0" cellspacing="0" border="0" style="margin-top: 1.5ex;"><tr>
            <td valign="top">
                <table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor">
                    <tr>
                        <td class="catbg">{$txt['shop_version_info_header']}</td>
                    </tr><tr>
                        <td class="windowbg2" valign="top" style="height: 18ex;">
                            <b>{$txt['shop_version_info_header']}:</b><br />
                            {$txt['shop_version_number']}: <span id='yourShopVersion'>{$modSettings['shopVersion']}</span> (Build <span id='yourShopBuild'>{$modSettings['shopBuild']})</span><br />
                            {$txt['shop_version_reldate']}: {$modSettings['shopDate']}<br /><br />
							<span id='currShopVersion'>{$txt['shop_unable_connect']}</span>
                        </td>
                    </tr>
                </table>
            </td>
            <td style="width: 1ex;">&nbsp;</td>
            <td valign="top" style="width: 50%;">
                <table width="100%" cellpadding="5" cellspacing="1" border="0" class="bordercolor" id="supportVersionsTable">
                    <tr>
                        <td class="catbg">{$txt['shop_settings']}</td>
                    </tr><tr>
                        <td class="windowbg2" valign="top" style="height: 18ex;">
                            <form action="$scripturl?action=shop_general;step=1" method="POST">
                                {$txt['shop_currency_prefix']}: <input type="text" name="prefix" value="{$modSettings['shopCurrencyPrefix']}" size="5"><br />
                                {$txt['shop_currency_suffix']}: <input type="text" name="suffix" value="{$modSettings['shopCurrencySuffix']}" size="5"><br />

                                {$txt['shop_pre-suf_confuse']}<br /><br />
                                {$txt['shop_per_new_topic']}: <input type="text" name="pertopic" value="{$modSettings['shopPointsPerTopic']}" size="5"><br />
                                {$txt['shop_per_new_post']}: <input type="text" name="perpost" value="{$modSettings['shopPointsPerPost']}" size="5"><br /><br />
                                {$txt['shop_bankinterest']}: <input type="text" name="interest" value="{$modSettings['shopInterest']}" size="3">% per day<br />
                                <input type="checkbox" name="bankenabled" value="yeah"{$context['shop_bank']}>{$txt['shop_bank']} Enabled<br />
                                <br />{$txt['shop_image_width']}: <input type="text" name="image_width" value="{$modSettings['shopImageWidth']}" size="3"><br />
                                {$txt['shop_image_height']}: <input type="text" name="image_width" value="{$modSettings['shopImageHeight']}" size="3"><br /><br />
								 <input type="checkbox" name="tradeenabled" value="yeah"{$context['shop_trade']}>{$txt['shop_trade_enable']}<br />
                                <input type="submit" value="{$txt['shop_save_changes']}"><br />
                                <b>{$context['shop_general']}</b>
                            </form>
                        </td>
                    </tr>
                </table>
            </td>
        </tr></table>
<br />
New releases can always be found at the <a href='http://dansoftaus.uni.cc/'>DanSoft Australia Website</a>

<script language="JavaScript" src="http://updates.dansoftaustralia.net/shop-version.js?build={$modSettings['shopBuild']}"></script>
EOT;
}

function template_inventory() { //The Members' Inventory template
    global $modSettings, $scripturl, $context, $txt, $settings;

echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
            <tr valign="top" class="windowbg2">
                <td style="padding-bottom: 2ex;" width="100%">
                    <center><b>{$txt['shop_edit_inventory']}</b></center>
EOT;

    if ($context['shop_inventory_search'] == 0) { //The 'Please Type a Members Name' page
    echo <<<EOT
                    {$txt['shop_edit_member_inventory']}<br />
                    <form action="$scripturl?action=shop_inventory;do=viewmember" method="POST">
                        <input name="searchfor" type="text" size="70">
						<a href="{$scripturl}?action=findmember;input=searchfor;quote=1;sesc={$context['session_id']}" onclick="return reqWin(this.href, 350, 400);"><img src="{$settings['images_url']}/icons/assist.gif" border="0" alt="{$txt['find_members']}" /> Find Members</a><br />
                        <input type="submit" value="{$txt['shop_next']}">
                    </form>


EOT;
    } elseif ($context['shop_inventory_search'] == 1) { //The Inventory list
        echo "<i>{$context['shop_inv_message']}</i><br /><br />{$context['shop_inventory_list']}";

    } elseif ($context['shop_inventory_search'] == 2) { //A general message
        echo $context['shop_message'];
    }
echo "</td></tr></table>";
}

function template_items_add() { //The 'Add an Item' template
	global $context, $scripturl, $txt, $boardurl, $modSettings;

    echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
    <tr valign="top" class="windowbg2">
        <td style="padding-bottom: 2ex;" width="100%">
            <center><b>{$txt['shop_add_item']}</b></center>
EOT;

    if ($context['shop_items_add'] == 0) { //Step 1 - Choose Item
        echo <<<EOT
            {$txt['shop_add_item_message']}<br />
            <form action="$scripturl?action=shop_items_add;step=1" method="POST">
EOT;
        echoSelectItem();

        echo "<input type='submit' value='{$txt['shop_next']}'></form>";
    } elseif ($context['shop_items_add'] == 1) { //Step 2 - Settings
        echo <<<EOT
            {$txt['shop_item_configure']}<br />
            <form action="$scripturl?action=shop_items_add;step=2" method="POST" name="theAdminForm">
                <input type="hidden" name="item" value="{$context['shop_items_item']['name']}">
                <input type="hidden" name="require_input" value="{$context['shop_items_item']['require_input']}">
                <input type="hidden" name="can_use_item" value="{$context['shop_items_item']['can_use_item']}">
                {$txt['shop_name']}: <input name="itemname" type="text" value="{$context['shop_items_item']['friendlyname']}" size="80"><br />
                {$txt['shop_description']}: <textarea name="itemdesc" cols="40" rows="6">{$context['shop_items_item']['desc']}</textarea><br />
                {$txt['shop_price']}: <input name="itemprice" type="text" value="{$context['shop_items_item']['price']}" size="5"><br />
EOT;
        echoSelectImage("blank.gif");
        echo <<<EOT
                <br />{$context['shop_items_item']['getAddInput']}<br />
                <input type="submit" value="{$txt['shop_add_item']}"></form>
EOT;
    } elseif ($context['shop_items_add'] == 2) { //Success page
        echo <<<EOT
            {$txt['shop_added_item']} {$context['shop_items_id']}<br />
            <a href=$scripturl?action=shop_items_add>{$txt['shop_add_another']}</a> or <a href=$scripturl?action=shop_general>{$txt['shop_back2admin']}</a>
EOT;
    } else { //When all else fails...
        echo "Huh? What the hell?";
    }

    echo "</td></tr></table>";
}

function template_items_edit() { //The 'Edit an Item' template
	global $context, $scripturl, $txt, $modSettings;

    echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
    <tr valign="top" class="windowbg2">
        <td style="padding-bottom: 2ex;" width="100%">
            <center><b>{$txt['shop_admin_items_edit']}</b></center>
EOT;

    if ($context['shop_items_edit'] == 0) {//Step 1 - Choose item to edit or Delete
        echo "{$txt['shop_edit_message']}<br /><br />";
        outputEditOrDelete();

    } elseif ($context['shop_items_edit'] == 1) { //Step 2a - Edit the item
        echo <<<EOT
            {$txt['shop_editing_item']} {$context['shop_edit']['id']}:
            <form action="$scripturl?action=shop_items_edit;do=edit2" method="POST" name="theAdminForm">
                <input type="hidden" name="id" value="{$context['shop_edit']['id']}">
                {$txt['shop_name']}: <input name="itemname" type="text" value="{$context['shop_edit']['name']}" size="80"><br />
                {$txt['shop_description']}: <textarea name="itemdesc" cols="40" rows="6">{$context['shop_edit']['desc']}</textarea><br />
                {$txt['shop_price']}: {$modSettings['shopCurrencyPrefix']} <input name="itemprice" type="text" value="{$context['shop_edit']['price']}" size="5">{$modSettings['shopCurrencySuffix']}<br />
                {$txt['shop_stock']}: <input name="itemstock" type="text" value="{$context['shop_edit']['stock']}" size="5"><br />
EOT;
        echoSelectImage($context['shop_edit']['image']);
        echo "<br /><input type='submit' value='{$txt['shop_edit']}'></form>";
		
    } elseif ($context['shop_items_edit'] == 2) { //Step 3a - Changes saved
        echo $txt['shop_saved'];
    } elseif ($context['shop_items_edit'] == 3) { //Step 2b - Are you sure you wanna delete?
        echo sprintf($txt['shop_sure_delete'], $context['shop_delete'])."<br />
              <a href='$scripturl?action=shop_items_edit;do=del2;id={$context['shop_delete']}'>{$txt['shop_please_delete']}</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href='$scripturl?action=shop_items_edit'>{$txt['shop_noway']}</a>";
    } elseif ($context['shop_items_edit'] == 4) { //Step 3b - Deleted!
        echo $txt['shop_deleted'];
    }
    echo "</td></tr></table>";
}

function template_restock() {
	global $txt, $scripturl, $db_prefix;
	if (!isset($_GET['step']) || $_GET['step'] == 1) {
		echo <<<EOT
<table width="100%" cellpadding="5" cellspacing="0" border="0" class="tborder" style="margin-top: 1.5ex;">
    <tr valign="top" class="windowbg2">
        <td style="padding-bottom: 2ex;" width="100%">
            <center><b>{$txt['shop_admin_restock']}</b></center>
			<form action="{$scripturl}?action=shop_restock;step=2" method="POST">
				{$txt['shop_restock_lessthan']}: <input type='text' name='lessthan' value='5'><br />
				{$txt['shop_restock_amount']}: <input type='text' name='amount' value='50'><br /><br />
				<input type='submit' value='{$txt['shop_next']}'>
			</form>
		</td>
	</tr>
</table>
	
EOT;
	} elseif ($_GET['step'] == 2) {
	
		db_query("UPDATE {$db_prefix}shop_items
				 SET stock = stock + {$_POST['amount']}
				 WHERE stock < {$_POST['lessthan']}", 
			     __FILE__, __LINE__);
		
		echo "Updated stock!";
	}
}
?>
